Ask a Question
GoPro Support Hub Ask a question. Share an answer. Find a solution. Stay stoked.
Announcements
Is your GoPro gear up to date? Check to see If it is on our Update page.
GoPro Apps for Desktop
%3CLINGO-SUB%20id%3D%22lingo-sub-36948%22%20slang%3D%22en-US%22%3ECan't%20upgrade%20desktop%20app%2C%20new%20version%20of%20windows%20required%3F%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-36948%22%20slang%3D%22en-US%22%3E%3CP%3EWhen%20I%20open%20the%20Quik%20app%20on%20my%20desktop%20the%20update%20available%20message%20comes%20up%20and%20I%20click%20install%20then%20get%20the%20message%20that%20it%20requires%20a%20new%20version%20of%20windows.%20I%20have%20the%20latest%20windows%20and%20all%20updates.%26nbsp%3B%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-LABS%20id%3D%22lingo-labs-36948%22%20slang%3D%22en-US%22%3E%3CLINGO-LABEL%3EQuik%20for%20Desktop%20-%20Windows%3C%2FLINGO-LABEL%3E%3C%2FLINGO-LABS%3E%3CLINGO-SUB%20id%3D%22lingo-sub-37126%22%20slang%3D%22en-US%22%3ERe%3A%20Can't%20upgrade%20desktop%20app%2C%20new%20version%20of%20windows%20required%3F%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-37126%22%20slang%3D%22en-US%22%3E%3CP%3E%3Ca%20href%3D%22https%3A%2F%2Fcommunity.gopro.com%2Ft5%2Fuser%2Fviewprofilepage%2Fuser-id%2F21137%22%3E%40rapidriver74787%3C%2Fa%3E%20-%20The%20system%20requirements%20for%20Quik%20for%20Desktop%20are%26nbsp%3B64%20bit%20Windows%207%2C%208.1%2C%2010%20in%20desktop%20mode%20only.%26nbsp%3B32%20bit%20systems%20are%20not%20supported.%3C%2FP%3E%0A%0A%3CP%3E%26nbsp%3B%3C%2FP%3E%0A%0A%3CP%3EIf%20you%20have%20a%20computer%20that%20meets%20these%20requirements%2C%20our%20team%20at%26nbsp%3B%3CA%20href%3D%22https%3A%2F%2Fgopro.com%2Fhelp%2FPKBContactus%22%20target%3D%22_blank%22%20rel%3D%22noopener%20noreferrer%22%3Ehttps%3A%2F%2Fgopro.com%2Fhelp%2FPKBContactus%3C%2FA%3E%20can%20help%20figure%20out%20what's%20happening.%3C%2FP%3E%0A%0A%3CP%3E%26nbsp%3B%3C%2FP%3E%0A%0A%3CP%3EThanks%2C%3C%2FP%3E%0A%0A%3CP%3EJeff%3C%2FP%3E%3C%2FLINGO-BODY%3E
Reply
Tourist
Posts: 6

Can't upgrade desktop app, new version of windows required?

When I open the Quik app on my desktop the update available message comes up and I click install then get the message that it requires a new version of windows. I have the latest windows and all updates. 

GOPRO_3.JPG
GoPro Community Manager
Posts: 5,853

Re: Can't upgrade desktop app, new version of windows required?

@rapidriver74787 - The system requirements for Quik for Desktop are 64 bit Windows 7, 8.1, 10 in desktop mode only. 32 bit systems are not supported.

 

If you have a computer that meets these requirements, our team at https://gopro.com/help/PKBContactus can help figure out what's happening.

 

Thanks,

Jeff